# Compyx, a multicolor 8-bit font

Compyx is a multicolor font, built according to the latest OpenType specs. The original design is by Commodore 64 graphician [Compyx of Focus](http://csdb.dk/scener/?id=1190).

This repository contains the SVG source files, the four separate color layers as individual single-color TTF files, and the production-ready Compyx font in three different OpenType formats. They are included both as TTF and WOFF files.

If you want more info about the tech behind this font, you can ready [my post about creating Compyx](http://www.pixelambacht.nl/2014/compyx-a-multicolor-8bit-font/). I also wrote about how [multicolor fonts work on the web](http://www.pixelambacht.nl/2014/multicolor-fonts/).

## In which browser/OS will Compyx work?

The Compyx font will show up in glorious C64 green/grey on browsers and OSes that support one of the [OpenType multicolor font propsals](http://www.pixelambacht.nl/2014/multicolor-fonts/). In july 2014, this means Firefox on any system, Internet Explorer 11 on Windows 8.1, and as an installed font on OSX/iOS. In other browsers/OSes, the font will show up as a normal, single-color font.

In the font directory you will find:

* *Compyx-Regular-SVG.ttf* --- SVG-in-OpenType by Mozilla/Adobe, works in Firefox 
* *Compyx-Regular-COLR.ttf* --- COLR/CPAL by Microsoft, works on IE11 on Windows 8.1 
* *Compyx-Regular-SBIX.ttf* --- Apple's proprietary SBIX format, works as installed font on OSX/iOS

## Legal stuff

The original Commodore 64 Compyx font is in the public domain. This version is released under the [SIL Open Font Licencse](http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL).

## About

Created by Roel Nieskens ([@pixelambacht](https://twitter.com/pixelambacht)), [pixelambacht.nl](http://pixelambacht.nl).